<div id="print-cheque" *ngIf="ttInfocia && cheque" style="display: none;">
  <div style="text-align: center; font-size: 11px !important;">
    {{ cheque.cPundesc }} <br>
    {{ ttInfocia.crsocial }}<br>
    {{ ttInfocia.edireccion1 }} {{ ttInfocia.eexterior }} <br>
    {{ ttInfocia.edireccion2 }} C.P. {{ ttInfocia.ecp }} <br>
    {{ ttInfocia.eciudad }} {{ ttInfocia.eEstado }} <br>
    R.F.C: {{ ttInfocia.rfc }}<br>
    <table style="width: 100%;text-align: left; margin-top:15px; font-size: 10px !important;">
      <tr>
        <td>Cheque:</td>
        <td>{{ cheque.clase }}-{{ cheque.punto }}-{{ cheque.iCheque }}</td>
        <td>Turno:</td>
        <td>{{ cheque.pturno }}</td>
      </tr>
      <tr>
        <td>Fecha:</td>
        <td>{{ cheque.pfecha }}</td>
        <td>Personas:</td>
        <td>{{ cheque.pper }}</td>
      </tr>
      <tr>
        <td>Cajero:</td>
        <td>{{ ttUsuario.cUserId }}</td>
      </tr>
      <tr>
        <td>Mesa:</td>
        <td>{{ cheque.cMesa }}</td>
      </tr>
      <tr *ngIf="cheque && cheque.cMesnom; else idMesero">
        <td>Mesero:</td>
        <td>{{ cheque.cMesnom }}</td>
        <ng-template #idMesero>
          <td>{{ cheque.Mesero }}</td>
        </ng-template>
        <!-- <td>I 12:50:28</td> -->
      </tr>
    </table>
  </div>
  <table
    style="margin-top: 10px; margin-bottom: 10px;border-width: 1px; border-top-style: dashed;font-size: 10px !important;">
    <tbody>
      <tr>
        <th>Cant.</th>
        <th>Com.</th>
        <th>Descripción</th>
        <th>Monto</th>
      </tr>
      <tr *ngFor="let detalle of comanda | orderBy: fieldOrder; let i = index;">
        <ng-container *ngIf="detalle.Platillo && detalle.Tipo && detalle.cEactual !== 'X'">
          <td style="width: 10%;  text-align: right;">{{ detalle.dPorcion | number:'.1-2' }}</td>
          <td style="width: 10%;  text-align: right;">{{ detalle.iCom }}</td>
          <td style="width: 100%; text-align: left;">{{ detalle.cPlatillo }}</td>
          <td style="width: 30%;  text-align: right;">
            {{ detalle.dPrecio * detalle.dPorcion - (detalle.dDesc * detalle.dPrecio * detalle.dPorcion) / 100 | number:'.2-2' }}
          </td>
        </ng-container>
      </tr>
    </tbody>
  </table>
  <table style="width: 100%;text-align: right;border-width: 1px; border-top-style: dashed;font-size: 11px;"
    *ngIf="totalCalculado">
    <tr>
      <td>Subtotal:</td>
      <td>{{ totalCalculado.dDec1 | number:'.2-2' }}</td>
    </tr>
    <tr *ngIf="totalCalculado.dDec3">
      <td> {{ totalCalculado.dDec5 | number:'.2-2' }}% Descuento:</td>
      <td>{{ totalCalculado.dDec3 | number:'.2-2' }}</td>
    </tr>
    <tr>
      <td>Propina:</td>
      <td *ngIf="printfp || totalCalculado.dDec2 || totalCalculado.dDec3">{{ totalCalculado.dDec2 | number:'.2-2' }}</td>
      <td *ngIf="!printfp && !totalCalculado.dDec2 && !totalCalculado.dDec3">___________</td>
    </tr>
    <tr>
      <td>Gran Total:</td>
      <td *ngIf="printfp || totalCalculado.dDec2 || totalCalculado.dDec3">{{ totalCalculado.dDec4 | currency: 'MXN' }}</td>
      <td *ngIf="!printfp && !totalCalculado.dDec2 && !totalCalculado.dDec3">___________</td>
    </tr>
  </table>
  <br>

  <div *ngIf="printfp">
    <table
      style="width: 100%;border-width: 1px; border-top-style: dashed; border-bottom-style: dashed;font-size: 11px;">
      <tr *ngFor="let pago of arrFpago">
        <td style="text-align: left;">{{ pago.codigo }}</td>
        <td style="text-align: left;">{{ pago.desc }}</td>
        <td style="text-align: left;">{{ pago.voucher }}</td>
        <td style="text-align: right;">{{ pago.monto | currency: 'MXN'  }}</td>
      </tr>
    </table>
  </div>
  <div style="font-size: 11px;">
    <span *ngIf="cheque.pnotas">Notas: {{ cheque.pnotas }}</span>
    <br>
    <p>
      Cuarto/Room:
      <span *ngIf="huesped && huesped.cuarto">{{ huesped.cuarto }}</span>
      <span *ngIf="!huesped">_________</span>
    </p>
    <p>
      Nombre/Name:
      <span *ngIf="huesped && huesped.hapellido">{{ huesped.hapellido }} {{ huesped.hnombre }}</span>
      <span *ngIf="!huesped">________________________________</span>
    </p>
  </div>
  <div style="text-align: center; margin-top:50px;font-size: 11px;">
    FIRMA/SIGNATURE
    <p style="margin-top:15px;">
      CHEQUE {{ cheque.cCladesc }}
      {{ punto.pnotas1 }}
    </p>
  </div>
</div>